<div class="row">
    <div class="col-md-12">
        <br/>
        <div class="row" ng-if="!inTranslateMode">
            <div class="col-md-12">
                <label class="control-label">
                    <span message-key="ff.label.changeInputFieldName"></span>
                </label>
                <input type="text" class="form-control" ng-model="input.name" ff-name-uniqueness-check/>
                <span class="help-block hide">
                    <span message-key="angular.ffFormBuilderDirective.message.duplicateInputName"></span>
                </span>
            </div>
            <div class="clearfix"></div>
            <br/>
            <div class="col-md-12">
                <label>
                    <span message-key="ff.label.changeInputSize"></span>
                </label>
                <select class="form-control" ng-model="input.datepickersize">
                    <option value="lg" message-key="ff.label.large"></option>
                    <option value="md" message-key="ff.label.medium"></option>
                    <option value="sm" message-key="ff.label.small"></option>
                </select>
            </div>
        </div>
        <br/>
        <div class="row">
            <div class="col-sm-12">
                <label>
                    <span message-key="ff.label.changeLabel"></span>
                </label>
                <input type="text" class="form-control" ng-model="input.label"/>
            </div>
        </div>
        <br/>
        <div class="row">
            <div class="col-sm-12">
                <label>
                    <span message-key="ff.label.changeHelpText"></span>
                </label>
            </div>
        </div>
        <input type="text" class="form-control" ng-model="input.helptext"/>
        <br/>
        <div class="row"
             ng-if="!inTranslateMode">
            <div class="col-sm-12">
                <label>
                    <span message-key="fcnt_simpleDateDefinition.label.defaultDate"></span>
                </label>
                <input type="checkbox"
                       ng-true-value="true"
                       ng-false-value="false"
                       ng-model="input.useCurrentDate">
            </div>
        </div>
        <br/>
        <div class="row" ng-if="!input.useCurrentDate">
            <div class="col-sm-12">
                <label>
                    <span message-key="ff.label.changePlaceholder"></span>
                </label>
                <input type="text" class="form-control" ng-disabled="input.useFormatAsPlaceholder == true" ng-model="input.placeholder"/>
            </div>
        </div>
        <br/>
        <div class="row"
             ng-if="!inTranslateMode && !input.useCurrentDate">
            <div class="col-sm-12">
                <label>
                    <span message-key="ff.label.dateFormat"></span>
                </label>
                <span class="pull-right">
                    <input type="checkbox"
                           ng-true-value="true"
                           ng-false-value="false"
                           ng-change="dpic.updatePlaceholder()"
                           ng-model="input.useFormatAsPlaceholder">
                    &nbsp;
                    <span message-key="ff.label.useFormatAsPlaceholder"></span>
                </span>
                <select type="text"
                        class="form-control"
                        ng-change="dpic.updatePlaceholder()"
                        ng-model="input.format">
                    <option ng-repeat="format in dpic.availableFormats track by $index" ng-value="format">{{format}}</option>
                </select>
            </div>
        </div>
        <br/>
        <div class="row" ng-if="!inTranslateMode && !input.useCurrentDate">
            <div class="col-sm-12">
                <ff-date-picker min-value="input.minDate"
                                max-value="input.maxDate"
                                min-label="ff.label.minDate"
                                max-label="ff.label.maxDate"
                                format="YYYY"
                                date-picker-options="{minMode: 'year'}"
                                date-picker-mode="year"
                                read-only="true">
                </ff-date-picker>
            </div>
        </div>
    </div>
</div>