<!-- Date picker-->
<div class="form-group"
     ng-class="{'has-error': form[input.name].$invalid&&form[input.name].$dirty}"
     ng-show="resolveLogic()">
    <%--Live mode--%>
    <input ng-if="!readOnly"
           type="hidden"
           name="{{input.name}}"
           ng-model="input.value"
           value="{{input.value}}"
           ng-required="isRequired()"
           ff-validations
           ff-logic
           ff-date-picker-validator>
    <%--Builder mode--%>
    <input ng-if="readOnly"
           type="hidden"
           name="{{input.name}}"
           ng-model="input.value"
           value="{{input.builderValue}}"
           ff-validations
           ff-logic>
    <label class="col-sm-2 control-label">
        {{input.label}}
        <span ng-if="isRequired()"
              ng-show="form.$dirty">
            <sup>&nbsp;<i class="fa fa-asterisk fa-sm"></i></sup>
        </span>
    </label>
    <div class="col-sm-10">
        <div ng-class="{'left15':!readOnly}">
            <ff-date-picker read-only="{{datePicker.isDisabled}}"
                            date-picker-size="input.datepickersize"
                            is-disabled="{{datePicker.isDisabled}}"
                            min-date-placeholder="input.placeholder"
                            date-picker-options="datePicker.datePickerOptions"
                            format="{{input.format}}"
                            min-value="input.value"
                            parser-separator>
            </ff-date-picker>
            <span class="help-block"
                  ng-show="input.helptext != undefined">
                {{input.helptext}}
            </span>
            <span class="help-block"
                  ng-repeat="(validationName, validation) in input.validations"
                  ng-show="form[input.name].$error[(validationName | normalize)]&&form[input.name].$dirty">
                {{validation.message}}
            </span>
            <span class="help-block"
                  ng-repeat="errorMessage in errorMessages"
                  ng-if="errorMessage.active">
                {{errorMessage.message}}
            </span>
        </div>
    </div>
    <div class="clearfix"/>
</div>