<%@ page contentType="text/javascript" %>
        <%@ taglib prefix="formfactory" uri="http://www.jahia.org/formfactory/functions" %>
        <%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>

        angular.module('formFactory')
                .directive('ffEqualToWizard', ['$log', 'ffTemplateResolver', '$timeout', function ($log, ffTemplateResolver, $timeout) {
                    var directive = {
                        restrict   : 'E',
                        templateUrl: function (el, attrs) {
                            return ffTemplateResolver.resolveTemplatePath('${formfactory:addFormFactoryModulePath('/form-factory-validations/equal-to', renderContext)}', attrs.viewType);
                        },
                        link       : linkFunc
                    };

                    return directive;

                    function linkFunc($scope, el, attr, ctrl) {
                        var vc = $scope.vc;
                        //Setup listener for when an input has been selected.
                        $scope.$on('selectedInput', function (event, data) {
                            $scope.input.validations[$scope.validationName].equaltofieldid = data.fieldName;
                            $timeout(function() {
                                //trigger change on hidden input to validate the equaltofieldid value.
                                angular.element('input[name$="equaltofieldid"]').trigger('change', {value: data.fieldName});
                            });
                        });

                        vc.availableInputs = [];
                        _.each($scope.form.steps[$scope.currentStep].inputs, function (input, iIndex) {
                            if (input.name === $scope.input.name) {
                                return;
                            }
                            vc.availableInputs.push({
                                fieldName      : input.name,
                                label: input.label,
                                inputIndex: iIndex
                            });
                            vc.availableInputs[vc.availableInputs.length - 1].index = vc.availableInputs.length - 1;
                        });
                    }
                }]);