<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>

<ff-progress-bar ng-if="!_.isUndefined(vm.currentForm.progressBar) && vm.currentForm.progressBar.position === 'top' || vm.currentForm.progressBar.position === 'both'"
                 form="vm.currentForm" current-step="vm.currentStep"></ff-progress-bar>

<div class="row" ng-if="vm.getFormController().$submitted">
    <div class="col-sm-12 text-center"
         ng-if="!vm.displaySubmissionText && (!vm.runCallbacks && vm.currentForm.callbacks.displayTemplates)
         || !vm.displaySubmissionText && (vm.runCallbacks && !vm.currentForm.callbacks.displayTemplates)
         || !vm.displaySubmissionText && vm.currentForm.callbacks === null">
        <i class="fa fa-spinner fa-spin fa-3x"></i>
    </div>

    <ff-callback ng-if="vm.runCallbacks"
                 action-data="vm.actionData"
                 result-data="vm.resultData"
                 callback-directives="vm.currentForm.callbacks.callbacks"
                 all-completed-flag="vm.displaySubmissionText"
                 display-templates="vm.currentForm.callbacks.displayTemplates">
    </ff-callback>

    <div class="col-sm-12 text-center muted" ng-if="vm.displaySubmissionText && !vm.currentForm.callbacks.displayTemplates">
        <strong>
            {{vm.currentForm.afterSubmissionText}}
        </strong>
    </div>
</div>

<template:include view="formView" templateType="html" />

<ff-progress-bar ng-if="!_.isUndefined(vm.currentForm.progressBar) && vm.currentForm.progressBar.position === 'bottom' || vm.currentForm.progressBar.position === 'both'"
                 form="vm.currentForm" current-step="vm.currentStep"></ff-progress-bar>

<%--TODO remove--%>
<%--<script type="text/javascript">--%>
    <%--document.addEventListener("ffFormReady", function(e) {--%>
        <%--var formInfo = e.formInfo;--%>
        <%--window.ffCallbacks.registerCallback(formInfo, testObject.testFunction, testObject);--%>
        <%--window.ffCallbacks.registerCallback(formInfo, testObject2.testFunction, testObject2);--%>
        <%--window.ffCallbacks.registerCallback(formInfo, testGlobal, undefined);--%>
    <%--});--%>

    <%--var testObject = {--%>
        <%--testFunction : function(data, formInfo) {--%>
            <%--console.log("This is a simple test of callback!!!");--%>
            <%--console.log(data);--%>
            <%--var self = this;--%>
            <%--setTimeout(function() {--%>
                <%--console.log("Executing!!!");--%>
                <%--formInfo.notifyFormFactoryOfCompletion("testFunction");--%>
            <%--}, 3000);--%>
        <%--}--%>
    <%--};--%>

    <%--var testObject2 = {--%>
        <%--testFunction : function(data, formInfo) {--%>
            <%--console.log("Test object2");--%>
            <%--console.log(data);--%>
            <%--var self = this;--%>
            <%--setTimeout(function() {--%>
                <%--console.log("Executing2!!!");--%>
                <%--formInfo.notifyFormFactoryOfCompletion("testFunction2");--%>
            <%--}, 4000);--%>
        <%--}--%>
    <%--};--%>

    <%--function testGlobal(data, formInfo) {--%>
        <%--console.log("Test global says hello");--%>
        <%--var self = this;--%>
        <%--setTimeout(function() {--%>
            <%--console.log("Executing global!!!");--%>
            <%--formInfo.notifyFormFactoryOfCompletion("testGlobal");--%>
        <%--}, 1500);--%>
    <%--}--%>
<%--</script>--%>