<%@ page contentType="text/javascript" %>
<%@ taglib prefix="formfactory" uri="http://www.jahia.org/formfactory/functions" %>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>

angular
    .module('formFactory')
    .directive('ffController', ['$log', 'ffTemplateResolver', function($log, ffTemplateResolver) {
        var directive = {
            restrict: 'EA',
            templateUrl: function(el, attrs) {
                return ffTemplateResolver.resolveTemplatePath('${formfactory:addFormFactoryModulePath('/form-factory-definitions/form-definition', renderContext)}', attrs.viewType);
            },
            scope: {
                id: '=',
                locale: '=',
                showFormTitle: '='
            },
            link: linkFunc,
            controller: ff.RenderingDirectives.FFFormController,
            controllerAs: 'vm',
            bindToController: true // because the scope is isolated
        };

        return directive;

        function linkFunc(scope, el, attr, ctrl) {
            $log.info('Linking your Form Factory ' + scope.vm.id);
        }
    }]);


angular.module('formFactory')
        .directive('ffProgressBar', ['$log', '$compile', function ($log, $compile) {
            var directive = {
                restrict: 'E',
                scope: {
                    form: '=',
                    currentStep: '='
                },
                link: linkFunc
            };

            return directive;

            function linkFunc(scope, el, attr, ctrl) {
                el.append($compile(scope.form.progressBar.template)(scope));
            }
        }]);