<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>

<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="flowRequestContext" type="org.springframework.webflow.execution.RequestContext"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--<template:addResources type="javascript" resources="jquery.min.js,admin-bootstrap.js,workInProgress.js"/>--%>
<%--<template:addResources type="javascript" resources="lib/underscore.js"/>--%>
<%--<template:addResources type="javascript" resources="lib/backbone.js"/>--%>
<%--<template:addResources type="javascript" resources="views/main-results.js"/>--%>
<jcr:node var="referenceForm" uuid="${currentNode.properties['referenceForm'].string}"/>
<template:addCacheDependency uuid="${currentNode.properties['referenceForm'].string}"/>
<template:addCacheDependency node="${referenceForm}"/>
<template:module node="${referenceForm}" view="angular" editable="false">
    <template:param name="displayIdentifier" value="${currentNode.identifier}"/>
    <template:param name="showFormTitle" value="${currentNode.properties['showTitle'].boolean}"/>
    <c:choose>
        <c:when test="${not empty currentNode.properties['cssClass'].string}">
            <template:param name="cssClassName" value="${currentNode.properties['cssClass'].string}"/>
        </c:when>
        <c:otherwise>
            <template:param name="cssClassName" value="${referenceForm.properties['cssClass'].string}"/>
        </c:otherwise>
    </c:choose>
</template:module>
