<div class="row">
    <div class="col-md-12">
        <br/>
        <div class="row" ng-if="!inTranslateMode">
            <div class="col-md-12">
                <label class="control-label">
                    <span message-key="ff.label.changeInputFieldName"></span>
                </label>
                <input type="text"
                       class="form-control"
                       ng-model="input.name"
                       ff-name-uniqueness-check
                       ff-logics-syncronizer/>
                <span class="help-block hide">
                    <span message-key="angular.ffFormBuilderDirective.message.duplicateInputName"></span>
                </span>
            </div>
            <div class="clearfix"></div>
            <br/>
            <div class="col-md-12">
                <label>
                    <span message-key="ff.label.changeInputSize"></span>
                </label>
                <select class="form-control" ng-model="input.inputsize">
                    <option value="input-lg" message-key="ff.label.large"></option>
                    <option value="" message-key="ff.label.medium"></option>
                    <option value="input-sm" message-key="ff.label.small"></option>
                </select>
            </div>
        </div>
        <br/>
        <div class="row">
            <div class="col-sm-12">
                <label>
                    <span message-key="ff.label.changeLabel"></span>
                </label>
                <input type="text" class="form-control" ng-model="input.label"/>
            </div>
        </div>
        <br/>
        <div class="row">
            <div class="col-sm-4">
                <label>
                    <span message-key="ff.label.changePlaceholderYear"></span>
                </label>
                <input type="text" class="form-control" ng-model="input.placeholder[0]"/>
            </div>
            <div class="col-sm-4">
                <label>
                    <span message-key="ff.label.changePlaceholderMonth"></span>
                </label>
                <input type="text" class="form-control" ng-model="input.placeholder[1]"/>
            </div>
            <div class="col-sm-4">
                <label>
                    <span message-key="ff.label.changePlaceholderDay"></span>
                </label>
                <input type="text" class="form-control" ng-model="input.placeholder[2]"/>
            </div>
        </div>
        <br/>
        <div class="row">
            <div class="col-sm-12">
                <label>
                    <span message-key="ff.label.changeHelpText"></span>
                </label>
                <input type="text" class="form-control" ng-model="input.helptext"/>
            </div>
        </div>
        <br/>
        <div class="row" ng-if="!inTranslateMode">
            <div class="col-sm-12">
                <label>
                    <span message-key="fcnt_simpleDateDefinition.label.defaultDate"></span>
                </label>
                <input type="checkbox"
                       ng-init="input.useCurrentDate==true"
                       ng-model="input.useCurrentDate">
            </div>
        </div>
        <br/>
        <div class="row" ng-if="!inTranslateMode">
            <div class="col-sm-12">
                <ff-date-picker ng-if="!input.useCurrentDate && !inTranslateMode"
                                min-value="input.minDate"
                                max-value="input.maxDate"
                                min-label="ff.label.minDate"
                                max-label="ff.label.maxDate"
                                enforce-min-value="true"
                                enforce-max-value="true"
                                format="YYYY"
                                date-picker-options="{minMode: 'year', datePickerMode: 'year'}"
                                read-only="true">
                </ff-date-picker>
            </div>
        </div>
    </div>
</div>